POSTPayoutLink Status Check API
Use Case
This API is used to check the Current Status of the Payout Links.
HTTP Headers
| ATTRIBUTE | DESCRIPTION |
|---|---|
|
x-mid string(50) |
Paytm provides MID as a unique identifier to each merchant. For your staging MID, click here. You get the production MID post the account activation. |
|
x-checksum string(108) |
Signature encryption for validation. It's value to be sent should be the checksum string created by using Paytm checksum library. Note: Create the signature using all the request parameters. |
Request Attributes
API Content Type: JSON
| ATTRIBUTE | DESCRIPTION |
|---|---|
|
mid string |
Paytm provides MID as a unique identifier to each merchant. For your staging MID, click here. You get the production MID post the account activation. Example: INTEGR7769XXXXXX9383 |
|
orderId string |
Merchant’s unique reference ID for payout link passed in the request and the Order ID for which the payout link status needs to be fetched. It should be alphanumeric with a maximum length up to 50 characters. Example: OREDRID_98765 |
Response Attributes
| ATTRIBUTE | DESCRIPTION |
|---|---|
|
status string |
This attribute should be used to fetch the final status of the order Example: SUCCESS |
|
statusCode string |
API response statusCode Example: DE_001 |
|
statusMessage string |
API response statusMessage Example: Success |
|
object |
Result Response |
Result
| ATTRIBUTE | DESCRIPTION |
|---|---|
|
orderId string |
Unique reference id provided by the merchant for this payout link Example: ORDERID_98765 |
|
subwalletGuid string |
It is sub wallet guid through which payment for the payout link was done. Example: 28054249-XXXX-XXXX-af8f-fa163e429e83 |
|
subwalletName string |
Name of the subwallet used for payment. Example: test |
|
beneficiaryName string |
Beneficiary name Example: Rahul |
|
beneficiaryPhoneNo string |
Beneficiary phone number Example: 7777777777 |
|
amount string |
Disbursement amount Example: 1.00 |
|
beneficiaryEmail string |
Beneficiary email Example: test@example.com |
|
comments string |
comments Example: Your Comment Here |
|
expiryDate string |
Payout link expiry date Example: 2020-10-04 |
|
payoutLinkId string |
Unique id generated by Paytm for every payout link Example: 51D2J06xxxxxxxxxx641YSg0P |
|
payoutLink string |
payout link generated Example: https://paytm.me/o6Nq-uc |
|
lastNotificationSent string |
local date-time of last Notification Sent Example: 2020-09-25 15:07:49 |
|
createdOn string |
payout link created on date time. Example: 2020-09-25 |
|
payoutLinkStatus string |
This is the payout link Status Example: ACTIVE |
|
object |
This object contains order(payment) level details |
PaymentDetails
| ATTRIBUTE | DESCRIPTION |
|---|---|
|
status string |
Order payment status Example: SUCCESS |
|
statusCode string |
Order payment status code Example: DE_001 |
|
statusMessage string |
Order payment status message Example: Successful disbursal to Bank Account is done |
|
mid string |
Uniquer merchant Id Example: INTEGR7769XXXXXX9383 |
|
orderId string |
Unique reference id provided by the merchant for this payout link Example: ORDERID_98765 |
|
paytmOrderId string |
Unique order id created by Paytm for every order. Example: 2020090514592329673476925 |
|
amount string |
Disbursal amount Example: 9.00 |
|
commissionAmount string |
Commission charged Example: 0.18 |
|
tax string |
Tax amount Example: 0.03 |
|
transferMode string |
Transfer mode for payment Example: IMPS |
|
payMode string |
Payment mode used Example: BANK_TRANSFER |
Response Codes & Messages
| statusCode | status | statusMessage |
|---|---|---|
| PL_001 | SUCCESS | Success |
| PL_1216 | SUCCESS | Payout link payment completed |
| PL_010 | FAILURE | param is mandatory and it's can't be null or blank |
| PL_011 | FAILURE | param doesn't contain a valid value |
| PL_013 | FAILURE | param doesn't contain valid length, It should be <length> or less |
| PL_019 | FAILURE | MID is not valid |
| PL_021 | FAILURE | Disburse amount should be Rs. 1 or more |
| PL_023 | FAILURE | Mid is not active |
| PL_040 | FAILURE | Duplicate order id |
| PL_041 | FAILURE | Unable to process your request. Please try after some time |
| PL_054 | FAILURE | SubwalletGuid is not correct, Please check and try again |
| PL_057 | FAILURE | Invalid request |
| PL_400 | FAILURE | Invalid Request Parameter |
| PL_401 | FAILURE | Authentication Parameters Required |
| PL_402 | FAILURE | Access Denied |
| PL_403 | FAILURE | API Not Found |
| PL_404 | FAILURE | Unable to authenticate the request |
| PL_405 | FAILURE | Remote IP not whitelisted |
| PL_406 | FAILURE | Invalid Client-Token |
| PL_407 | FAILURE | Client-Token Required |
| PL_408 | FAILURE | Checksum Required |
| PL_409 | FAILURE | Checksum Verification Failed |
| PL_410 | FAILURE | Method Not Supported |
| PL_411 | FAILURE | Media-Type Not Supported |
| PL_500 | FAILURE | System Error |
| PL_1204 | EXPIRED | Payout link has expired |
| PL_1208 | LINK_PROCESSING | PayoutLink is getting created |
| PL_1209 | FAILURE | Payout link already submitted |
| PL_1210 | CANCELLED | Payout link cancelled |
| PL_1213 | LINK_FAILED | Payout link generation failed |
| PL_1214 | PENDING | Payout link payment pending |
| PL_1215 | FAILURE | Payout link payment failed |
Staging
Production
https://staging-dashboard.paytm.com/pls/api/v2/payout-link/fetch
REQUEST
RESPONSE
CURL
JAVA
NODE
PHP
PYTHON
DOTNET
curl -X POST 'https://staging-dashboard.paytm.com/pls/api/v2/payout-link/fetch' \
--header 'Content-Type: application/json' \
--header 'x-mid: {mid}' \
--header 'x-checksum: {checksum}' \
--data '{"orderId":"ORDERID_98765"}' \